---
- name: Install/Update Python 3.6.x
  become: true
  openbsd_pkg:
    name: python%3.6
    state: latest

- name: Create symlinks for Python 3.6.x
  become: true
  file:
    src: "{{ link.src }}"
    dest: "{{ link.dest }}"
    state: link
  loop:
    - { src: "/usr/local/bin/python3.6", dest: "/usr/local/bin/python3" }
    - { src: "/usr/local/bin/2to3-3.6", dest: "/usr/local/bin/2to3" }
    - { src: "/usr/local/bin/python3.6m", dest: "/usr/local/bin/python3m" }
    - { src: "/usr/local/bin/python3.6m-config", dest: "/usr/local/bin/python3m-config" }
    - { src: "/usr/local/bin/pyvenv-3.6", dest: "/usr/local/bin/pyvenv-3" }
    - { src: "/usr/local/bin/easy_install-3.6", dest: "/usr/local/bin/easy_install-3" }
  loop_control:
    loop_var: link

- name: Install PIP
  become: true
  openbsd_pkg:
    name: py3-pip
    state: present

# Keep the file stat so we can check later if it's a link.
# Reason: When installing pip v9, I have to create a symlink to reference it
# without the version number. But it seems that when I update PIP manually, it
# creates a real bin instead of a link.
- name: Stat PIP
  become: true
  stat:
    path: /usr/local/bin/pip3
  register: pip

- name: Create symlinks for PIP
  when: pip.stat.islnk
  become: true
  file:
    src: /usr/local/bin/pip3.6
    dest: /usr/local/bin/pip3
    state: link
